Bug 249479

Summary: [exp-run]devel/hwloc : Update to 1.11.13
Product: Ports & Packages Reporter: Wen Heping <wen>
Component: Individual Port(s)Assignee: Wen Heping <wen>
Status: Closed FIXED    
Severity: Affects Only Me CC: phd_kimberlite, thierry
Priority: --- Flags: phd_kimberlite: maintainer-feedback+
antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Update to 1.11.13
none
Update to 1.11.13
none
New port for hwloc2 none

Description Wen Heping freebsd_committer 2020-09-20 09:48:33 UTC
Created attachment 218105 [details]
Update to 1.11.13

- Update to 1.11.13
Comment 1 Antoine Brodin freebsd_committer 2020-09-23 19:28:14 UTC
Please provide a patch that can be applied.
Comment 2 Wen Heping freebsd_committer 2020-09-24 02:39:02 UTC
Created attachment 218229 [details]
Update to 1.11.13
Comment 3 Wen Heping freebsd_committer 2020-09-24 02:39:25 UTC
(In reply to Antoine Brodin from comment #1)
Done.
Comment 4 Antoine Brodin freebsd_committer 2020-10-03 08:05:13 UTC
Exp-run looks fine
Comment 5 commit-hook freebsd_committer 2020-10-04 11:56:44 UTC
A commit references this bug:

Author: wen
Date: Sun Oct  4 11:56:26 UTC 2020
New revision: 551386
URL: https://svnweb.freebsd.org/changeset/ports/551386

Log:
  - Update to 1.11.13

  PR:		249479
  Submitted by:	wen@(myself)
  Approved by:	maintainer
  Exp-run by:	antoine@

Changes:
  head/devel/hwloc/Makefile
  head/devel/hwloc/distinfo
  head/devel/hwloc/pkg-plist
Comment 6 Wen Heping freebsd_committer 2020-10-05 00:29:41 UTC
Created attachment 218528 [details]
New port for hwloc2

I would repocopy devel/hwloc --> devel/hwloc2, because the update of some ports require hwloc2. hwloc should be keeped because some ports could not build with hwloc2.

Any comments welcomed !
Comment 7 Thierry Thomas freebsd_committer 2021-01-06 18:41:24 UTC
(In reply to Wen Heping from comment #6)

Yes, please do!
I tried to upgrade net/mpich to 3.4, but hwloc2 is required; without it, it fails:

libtool: compile:  cc -DHAVE_CONFIG_H -I. -I./include -I./tools/topo/hwloc/hwloc/include/private/autogen -I./tools/topo/hwloc/hwloc/include/hwloc/autogen -I./include -I./mpl/include -I./mpl/include -I./tools/topo -I./tools/bootstrap/include -I./tools/bootstrap/utils -I./tools/demux -I./tools/debugger -I./pm/include -I./pm/utils -I./ui/include -I./ui/utils -DHYDRA_CONF_FILE=\"/usr/local/etc/mpiexec.hydra.conf\" -I/usr/local/include -DNETMOD_INLINE=__netmod_inline_ofi__ -I/usr/ports/net/mpich/work/mpich-3.4/src/mpl/include -I/usr/ports/net/mpich/work/mpich-3.4/src/mpl/include -I/usr/ports/net/mpich/work/mpich-3.4/modules/yaksa/src/frontend/include -I/usr/ports/net/mpich/work/mpich-3.4/modules/yaksa/src/frontend/include -I/usr/ports/net/mpich/work/mpich-3.4/modules/json-c -I/usr/ports/net/mpich/work/mpich-3.4/modules/json-c -I/usr/local/include -D_REENTRANT -I/usr/ports/net/mpich/work/mpich-3.4/src/mpi/romio/include -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -g -MT tools/topo/hwloc/topo_hwloc.lo -MD -MP -MF tools/topo/hwloc/.deps/topo_hwloc.Tpo -c tools/topo/hwloc/topo_hwloc.c  -fPIC -DPIC -o tools/topo/hwloc/.libs/topo_hwloc.o
tools/topo/hwloc/topo_hwloc.c:153:18: error: use of undeclared identifier 'HWLOC_OBJ_L1CACHE'; did you mean 'HWLOC_OBJ_CACHE'?
    {"l1dcache", HWLOC_OBJ_L1CACHE},
                 ^~~~~~~~~~~~~~~~~
                 HWLOC_OBJ_CACHE                                                                                                                                                                                                                              
/usr/local/include/hwloc.h:204:3: note: 'HWLOC_OBJ_CACHE' declared here
  HWLOC_OBJ_CACHE,      /**< \brief Cache.
  ^
tools/topo/hwloc/topo_hwloc.c:154:18: error: use of undeclared identifier 'HWLOC_OBJ_L1CACHE'; did you mean 'HWLOC_OBJ_CACHE'?
    {"l1ucache", HWLOC_OBJ_L1CACHE},
                 ^~~~~~~~~~~~~~~~~
                 HWLOC_OBJ_CACHE                                                                                                                                                                                                                              
/usr/local/include/hwloc.h:204:3: note: 'HWLOC_OBJ_CACHE' declared here
  HWLOC_OBJ_CACHE,      /**< \brief Cache.
  ^
tools/topo/hwloc/topo_hwloc.c:155:18: error: use of undeclared identifier 'HWLOC_OBJ_L1ICACHE'; did you mean 'HWLOC_OBJ_CACHE'?
    {"l1icache", HWLOC_OBJ_L1ICACHE},
                 ^~~~~~~~~~~~~~~~~~
                 HWLOC_OBJ_CACHE                                                                                                                                                                                                                              

and so on…
Comment 8 commit-hook freebsd_committer 2021-01-07 07:14:56 UTC
A commit references this bug:

Author: wen
Date: Thu Jan  7 07:14:08 UTC 2021
New revision: 560683
URL: https://svnweb.freebsd.org/changeset/ports/560683

Log:
  - Repocopy devel/hwloc --> devel/hwloc2

  PR:		249479
  Submitted by:	wen@
  Approved by:	maintainer

Changes:
  head/devel/Makefile
  head/devel/hwloc2/
  head/devel/hwloc2/Makefile
  head/devel/hwloc2/distinfo
  head/devel/hwloc2/pkg-plist